---
title: Update Address Map
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[Addressing](https://developers.cloudflare.com/api/go/resources/addressing)

[Address Maps](https://developers.cloudflare.com/api/go/resources/addressing/subresources/address_maps)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Update Address Map

client.Addressing.AddressMaps.Edit(ctx, addressMapID, params) (\*[AddressMap](<https://developers.cloudflare.com/api/go/resources/addressing#(resource)%20addressing.address_maps%20%3E%20(model)%20address_map%20%3E%20(schema)>), error)

PATCH/accounts/{account\_id}/addressing/address\_maps/{address\_map\_id}

Modify properties of an address map owned by the account.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Address Maps Write`

##### ParametersExpand Collapse

addressMapID string

Identifier of an Address Map.

maxLength32

[Link to this property](<#(resource)%20addressing.address_maps%20%3E%20(method)%20edit%20%3E%20(params)%20default%20%3E%20(param)%20address_map_id%20%3E%20(schema)>)

<details>

<summary>

params AddressMapEditParams

</summary>

AccountID param.Field\[string]

Path param: Identifier of a Cloudflare account.

maxLength32

<a href="#(resource)%20addressing.address_maps%20%3E%20(method)%20edit%20%3E%20(params)%20default%20%3E%20(param)%20account_id">Link to this property</a>

DefaultSNI param.Field\[string]Optional

Body param: If you have legacy TLS clients which do not send the TLS server name indicator, then you can specify one default SNI on the map. If Cloudflare receives a TLS handshake from a client without an SNI, it will respond with the default SNI on those IPs. The default SNI can be any valid zone or subdomain owned by the account.

<a href="#(resource)%20addressing.address_maps%20%3E%20(method)%20edit%20%3E%20(params)%20default%20%3E%20(param)%20default_sni">Link to this property</a>

Description param.Field\[string]Optional

Body param: An optional description field which may be used to describe the types of IPs or zones on the map.

<a href="#(resource)%20addressing.address_maps%20%3E%20(method)%20edit%20%3E%20(params)%20default%20%3E%20(param)%20description">Link to this property</a>

Enabled param.Field\[bool]Optional

Body param: Whether the Address Map is enabled or not. Cloudflare’s DNS will not respond with IP addresses on an Address Map until the map is enabled.

<a href="#(resource)%20addressing.address_maps%20%3E%20(method)%20edit%20%3E%20(params)%20default%20%3E%20(param)%20enabled">Link to this property</a>

</details>

[Link to this property](<#(resource)%20addressing.address_maps%20%3E%20(method)%20edit%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

type AddressMap struct{…}

</summary>

ID stringOptional

Identifier of an Address Map.

maxLength32

<a href="#(resource)%20addressing.address_maps%20%3E%20(model)%20address_map%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

CanDelete boolOptional

If set to false, then the Address Map cannot be deleted via API. This is true for Cloudflare-managed maps.

<a href="#(resource)%20addressing.address_maps%20%3E%20(model)%20address_map%20%3E%20(schema)%20%3E%20(property)%20can_delete">Link to this property</a>

CanModifyIPs boolOptional

If set to false, then the IPs on the Address Map cannot be modified via the API. This is true for Cloudflare-managed maps.

<a href="#(resource)%20addressing.address_maps%20%3E%20(model)%20address_map%20%3E%20(schema)%20%3E%20(property)%20can_modify_ips">Link to this property</a>

CreatedAt TimeOptional

formatdate-time

<a href="#(resource)%20addressing.address_maps%20%3E%20(model)%20address_map%20%3E%20(schema)%20%3E%20(property)%20created_at">Link to this property</a>

DefaultSNI stringOptional

If you have legacy TLS clients which do not send the TLS server name indicator, then you can specify one default SNI on the map. If Cloudflare receives a TLS handshake from a client without an SNI, it will respond with the default SNI on those IPs. The default SNI can be any valid zone or subdomain owned by the account.

<a href="#(resource)%20addressing.address_maps%20%3E%20(model)%20address_map%20%3E%20(schema)%20%3E%20(property)%20default_sni">Link to this property</a>

Description stringOptional

An optional description field which may be used to describe the types of IPs or zones on the map.

<a href="#(resource)%20addressing.address_maps%20%3E%20(model)%20address_map%20%3E%20(schema)%20%3E%20(property)%20description">Link to this property</a>

Enabled boolOptional

Whether the Address Map is enabled or not. Cloudflare’s DNS will not respond with IP addresses on an Address Map until the map is enabled.

<a href="#(resource)%20addressing.address_maps%20%3E%20(model)%20address_map%20%3E%20(schema)%20%3E%20(property)%20enabled">Link to this property</a>

ModifiedAt TimeOptional

formatdate-time

<a href="#(resource)%20addressing.address_maps%20%3E%20(model)%20address_map%20%3E%20(schema)%20%3E%20(property)%20modified_at">Link to this property</a>

</details>

[Link to this property](<#(resource)%20addressing.address_maps%20%3E%20(model)%20address_map%20%3E%20(schema)>)

### Update Address Map

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/addressing"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  addressMap, err := client.Addressing.AddressMaps.Edit(
    context.TODO(),
    "055817b111884e0227e1be16a0be6ee0",
    addressing.AddressMapEditParams{
      AccountID: cloudflare.F("258def64c72dae45f3e4c8516e2111f2"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", addressMap.ID)
}
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "055817b111884e0227e1be16a0be6ee0",
    "can_delete": true,
    "can_modify_ips": true,
    "created_at": "2014-01-01T05:20:00.12345Z",
    "default_sni": "*.example.com",
    "description": "My Ecommerce zones",
    "enabled": true,
    "modified_at": "2014-01-01T05:20:00.12345Z"
  }
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "055817b111884e0227e1be16a0be6ee0",
    "can_delete": true,
    "can_modify_ips": true,
    "created_at": "2014-01-01T05:20:00.12345Z",
    "default_sni": "*.example.com",
    "description": "My Ecommerce zones",
    "enabled": true,
    "modified_at": "2014-01-01T05:20:00.12345Z"
  }
}
```